﻿using System;
using Syncfusion.SfSchedule.XForms;
using Xamarin.Forms;

namespace SelectedAppointmentSample
{
	public class ScheduleSamplePage : ContentPage
	{
		SfSchedule schedule;
		ScheduleAppointmentCollection collection;

		ScheduleAppointment appointment;
		ScheduleAppointment appointment2;
		ScheduleAppointment appointment3;
		ScheduleAppointment appointment4;
		ScheduleAppointment appointment5;

		public ScheduleSamplePage()
		{
			schedule = new SfSchedule();

			DateTime currentTime = DateTime.Now;
			DateTime start1 = new DateTime(currentTime.Year, currentTime.Month, currentTime.Day - 2, 10, 0, 0);
			DateTime end1 = new DateTime(currentTime.Year, currentTime.Month, currentTime.Day - 2, 11, 0, 0);

			DateTime start2 = new DateTime(currentTime.Year, currentTime.Month, currentTime.Day - 1, 13, 0, 0);
			DateTime end2 = new DateTime(currentTime.Year, currentTime.Month, currentTime.Day - 1, 14, 0, 0);

			DateTime start3 = new DateTime(currentTime.Year, currentTime.Month, currentTime.Day, 9, 0, 0);
			DateTime end3 = new DateTime(currentTime.Year, currentTime.Month, currentTime.Day, 10, 0, 0);

			DateTime start4 = new DateTime(currentTime.Year, currentTime.Month, currentTime.Day + 1, 12, 0, 0);
			DateTime end4 = new DateTime(currentTime.Year, currentTime.Month, currentTime.Day + 1, 13, 0, 0);

			DateTime start5 = new DateTime(currentTime.Year, currentTime.Month, currentTime.Day + 2, 10, 0, 0);
			DateTime end5 = new DateTime(currentTime.Year, currentTime.Month, currentTime.Day + 2, 11, 0, 0);

			collection = new ScheduleAppointmentCollection();

			appointment = new ScheduleAppointment();
			appointment.Subject = "Genral Meeting";
			appointment.Color = Color.Red;
			appointment.StartTime = start1;
			appointment.EndTime = end1;

			appointment2 = new ScheduleAppointment();
			appointment2.Subject = "Client Meeting";
			appointment2.Color = Color.Red;
			appointment2.StartTime = start2;
			appointment2.EndTime = end2;

			appointment3 = new ScheduleAppointment();
			appointment3.Subject = "Break Time";
			appointment3.Color = Color.Red;
			appointment3.StartTime = start3;
			appointment3.EndTime = end3;

			appointment4 = new ScheduleAppointment();
			appointment4.Subject = "Holiday Reminder";
			appointment4.Color = Color.Red;
			appointment4.StartTime = start4;
			appointment4.EndTime = end4;

			appointment5 = new ScheduleAppointment();
			appointment5.Subject = "Review Meeting";
			appointment5.Color = Color.Red;
			appointment5.StartTime = start5;
			appointment5.EndTime = end5;

			collection.Add(appointment);
			collection.Add(appointment2);
			collection.Add(appointment3);
			collection.Add(appointment4);
			collection.Add(appointment5);
			schedule.DataSource = collection;

			schedule.ScheduleView = ScheduleView.DayView;
			schedule.ScheduleCellTapped += Schedule_ScheduleCellTapped;

			this.Content = schedule;
		}


		void Schedule_ScheduleCellTapped(object sender, ScheduleTappedEventArgs args)
		{

		}
	}
}


